Bug 267026 - [Patch] Offline address search with Marble+Monav
Summary: [Patch] Offline address search with Marble+Monav
Status: RESOLVED FIXED
Alias: None
Product: marble
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Maemo 5 Linux
: NOR wishlist (vote)
Target Milestone: 1.2 (KDE 4.7)
Assignee: marble-bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-24 01:15 UTC by R. Polach
Modified: 2011-05-04 19:53 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 1.2.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description R. Polach 2011-02-24 01:15:18 UTC
Version:           unspecified (using KDE 4.6.0) 
OS:                Linux

On N900 maemo5 I have marble (extras) and monav-routing-daemon (extras-testing) installed.
When I tried use (offline) monav routing, it is not possible at all,
because it did not find any address I have entered.

Reproducible: Didn't try

Steps to Reproduce:
Download tiles for some region.
Download routing information for the same region by monav settings features.
Start routing: enter starting and final address. Tap search button.

Actual Results:  
Search never finishes.
Monav routing cannot be used at all.

Expected Results:  
Monav should find locations for addresses
and then continue with route calculation.

Marble+Monav is unfortunatelly still unusable for fully-offline routing,
even with offline tiles and offline routing information.
Comment 1 Dennis Nienhüser 2011-02-24 09:45:31 UTC
There are two issues: The first is that Marble generally does not detect when runners (the search backends) do not deliver any results. Instead of showing an error/information to the user, the progress indicator keeps going, making the user believe the search (or route calculation) was still going on when it isn't. This is a bug that needs to be fixed.

The second issue is that the monav offline maps currently do not include address data and the monav plugin does not have the ability to search for addresses. Therefore you cannot search for any addresses in offline mode even when you have offline maps for that region installed. I plan to work on that feature (extend offline maps with address data and add support to search this data) possibly for Marble 1.2.

Note that you can still use the offline maps in the current version: Click anywhere on the map with the pen (without moving it) and select "Directions from here" or "Direction to here", respectively. Alternatively, for locations you frequently use, add a bookmark and use that in the routing dialog by clicking on the small arrow button next to the input fields. See http://userbase.kde.org/Marble/Maemo/GuidanceMode
Comment 2 Dennis Nienhüser 2011-04-03 14:52:51 UTC
The endless spinning is fixed now in http://websvn.kde.org/?view=rev&revision=1226963. I'll backport that to Marble 1.1 and 1.0 in a couple of days.

I'll set the severity to wishlist now, the remaining part is to add the offline address search feature.
Comment 3 Dennis Nienhüser 2011-04-30 23:58:53 UTC
I'm working on this (offline address + poi search) now, you can see the progress in https://git.reviewboard.kde.org/r/101245/
Comment 4 Dennis Nienhüser 2011-05-04 19:11:09 UTC
Git commit 8aab14a292d4386d11d163e078b00c817dc8eff8 by Dennis Nienhüser.
Committed on 03/05/2011 at 23:48.
Pushed by nienhueser into branch 'master'.

Parse queries in a new class, improve output, support several databases

Features described in http://userbase.kde.org/Marble/OfflineSearch.
REVIEW: 101245
BUG: 267026

M  +1    -0    src/plugins/runner/local-osm-search/CMakeLists.txt     
A  +207  -0    src/plugins/runner/local-osm-search/DatabaseQuery.cpp         [License: LGPL]
A  +78   -0    src/plugins/runner/local-osm-search/DatabaseQuery.h         [License: LGPL]
M  +16   -6    src/plugins/runner/local-osm-search/LocalOsmSearchRunner.cpp     
M  +121  -136  src/plugins/runner/local-osm-search/OsmDatabase.cpp     
M  +11   -19   src/plugins/runner/local-osm-search/OsmDatabase.h     
M  +4    -40   src/plugins/runner/local-osm-search/OsmPlacemark.cpp     
M  +12   -10   src/plugins/runner/local-osm-search/OsmPlacemark.h     
M  +12   -28   src/plugins/runner/local-osm-search/OsmRegion.cpp     
M  +6    -4    src/plugins/runner/local-osm-search/OsmRegion.h     

http://commits.kde.org/marble/8aab14a292d4386d11d163e078b00c817dc8eff8